---
updatedAt: 2026-04-13T08:35:00.000Z
agentTools:
  projectIndex: https://integrate.route4me.com/llms.txt
---

# List Telematics Connections

Proxies the Telematics API GET /connections endpoint. Returns connections matching optional filters.

List or fetch telematics connections.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Telematics API",
    "description": "Telematics API",
    "contact": {
      "name": "Route4Me",
      "url": "docs.route4me.com",
      "email": "support@route4me.com"
    },
    "license": {
      "name": "Apache 2.0",
      "url": "https://www.apache.org/licenses/LICENSE-2.0.html"
    },
    "version": "5.0"
  },
  "servers": [
    {
      "url": "https://wh.route4me.com/modules/api/v5.0/telematics"
    }
  ],
  "paths": {
    "/connections": {
      "get": {
        "tags": [
          "Connection"
        ],
        "summary": "List or fetch telematics connections",
        "description": "Proxies the Telematics API GET /connections endpoint.",
        "operationId": "35264b182a6fe2349043f87ba171a1db",
        "parameters": [
          {
            "name": "connection_token",
            "in": "query",
            "description": "Target connection token.",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "page",
            "in": "query",
            "description": "Pagination page number forwarded to the Telematics API.",
            "required": false,
            "schema": {
              "type": "integer",
              "minimum": 1
            }
          },
          {
            "name": "per_page",
            "in": "query",
            "description": "Amount of records per page.",
            "required": false,
            "schema": {
              "type": "integer",
              "maximum": 100,
              "minimum": 1
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Collection of connections that match the optional filters.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/TelematicsConnectionResource"
                  }
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/Response400"
          },
          "404": {
            "$ref": "#/components/responses/Response404"
          },
          "406": {
            "$ref": "#/components/responses/Response406"
          },
          "500": {
            "$ref": "#/components/responses/Response500"
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "TelematicsConnectionResource": {
        "description": "Telematics connection that belongs to the authenticated member.",
        "properties": {
          "id": {
            "type": "integer"
          },
          "user_id": {
            "type": "integer",
            "nullable": true
          },
          "root_member_id": {
            "type": "integer",
            "nullable": true
          },
          "name": {
            "type": "string"
          },
          "vendor": {
            "type": "string",
            "nullable": true
          },
          "host": {
            "type": "string",
            "nullable": true
          },
          "api_key": {
            "type": "string",
            "nullable": true
          },
          "account_id": {
            "type": "string",
            "nullable": true
          },
          "username": {
            "type": "string",
            "nullable": true
          },
          "password": {
            "type": "string",
            "nullable": true
          },
          "connection_token": {
            "type": "string"
          },
          "vendor_id": {
            "type": "integer"
          },
          "is_enabled": {
            "type": "boolean"
          },
          "vehicle_position_refresh_rate": {
            "type": "integer",
            "nullable": true
          },
          "max_idle_time": {
            "type": "integer",
            "nullable": true
          },
          "synced_vehicles_count": {
            "type": "integer",
            "nullable": true
          },
          "synced_addresses_count": {
            "type": "integer",
            "nullable": true
          },
          "total_vehicles_count": {
            "type": "integer",
            "nullable": true
          },
          "total_addresses_count": {
            "type": "integer",
            "nullable": true
          },
          "last_vehicles_reload": {
            "type": "string",
            "format": "date-time",
            "nullable": true
          },
          "last_addresses_reload": {
            "type": "string",
            "format": "date-time",
            "nullable": true
          },
          "last_position_reload": {
            "type": "string",
            "format": "date-time",
            "nullable": true
          },
          "enable_vehicles_sync": {
            "type": "boolean",
            "nullable": true
          },
          "enable_addresses_sync": {
            "type": "boolean",
            "nullable": true
          },
          "connection_status": {
            "type": "boolean",
            "nullable": true
          },
          "connection_message": {
            "type": "string",
            "nullable": true
          },
          "metadata": {
            "type": "object",
            "nullable": true
          },
          "sync_entities": {
            "type": "array",
            "items": {
              "properties": {
                "id": {
                  "type": "string"
                },
                "alias": {
                  "type": "string"
                },
                "title": {
                  "type": "string"
                },
                "default_value": {
                  "type": "boolean"
                },
                "total_items": {
                  "type": "integer",
                  "nullable": true
                },
                "synced_items": {
                  "type": "integer",
                  "nullable": true
                },
                "last_sync_timestamp": {
                  "type": "string",
                  "nullable": true
                },
                "created_timestamp": {
                  "type": "string",
                  "nullable": true
                }
              },
              "type": "object"
            },
            "nullable": true
          },
          "created_at": {
            "type": "string",
            "format": "date-time"
          },
          "updated_at": {
            "type": "string",
            "format": "date-time"
          }
        },
        "type": "object"
      },
      "ErrorResponse": {
        "properties": {
          "status": {
            "type": "boolean"
          },
          "code": {
            "type": "integer"
          },
          "exit_code": {
            "type": "integer"
          },
          "error": {
            "type": "string"
          },
          "messages": {
            "type": "array",
            "items": {
              "type": "string"
            }
          }
        },
        "type": "object"
      }
    },
    "responses": {
      "Response400": {
        "description": "Bad Request",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorResponse"
            }
          }
        }
      },
      "Response404": {
        "description": "Not Found",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorResponse"
            }
          }
        }
      },
      "Response406": {
        "description": "Unprocessable Content",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/responses/Response406"
            }
          }
        }
      },
      "Response500": {
        "description": "Internal Server Error",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorResponse"
            }
          }
        }
      }
    },
    "securitySchemes": {
      "ApiKeyQueryAuth": {
        "type": "apiKey",
        "description": "Api Key used. Example: \"api_key={token}\"",
        "name": "api_key",
        "in": "query"
      },
      "BearerAuth": {
        "type": "http",
        "description": "JWT Authorization header using the Bearer scheme. Api Key used. Example: \"Authorization: Bearer {token}\"",
        "bearerFormat": "JWT",
        "scheme": "bearer"
      }
    }
  },
  "security": [
    {
      "ApiKeyQueryAuth": []
    },
    {
      "BearerAuth": []
    }
  ],
  "tags": [
    {
      "name": "Connection",
      "description": "Connection"
    }
  ]
}
```